<?php
  if($_SERVER['argc'] < 6){
    exit ("Wywołanie: php ftpget host user pass plik_zdalny plik_lokalny");
  }

  $host = $_SERVER['argv'][1];
  $user = $_SERVER['argv'][2];
  $pass = $_SERVER['argv'][3];

  $plik_zdalny = $_SERVER['argv'][4];
  $plik_lokalny = $_SERVER['argv'][5];

  if(!$ftpid = ftp_connect($host)){
    exit("Nie mogę nawiązać połączenia z serwerem ftp.\n");
  }

  echo "Połączenie z serwerem $host zostało nawiązane...\n";

  if(!ftp_login($ftpid, $user, $pass)){
    ftp_close($ftpid);
    exit("Wystąpił błąd przy próbie zalogowania...\n");
  }
  else{
    echo "Logowanie zakończone sukcesem...\n";
  }

  if(!ftp_get($ftpid, $plik_lokalny, $plik_zdalny, FTP_BINARY)){
    echo "Błąd przy próbie pobrania pliku $plik_zdalny...";
  }
  else{
    echo "Plik $plik_zdalny został pobrany i zapisany jako $plik_lokalny.\n";
  }

  if(!ftp_close($ftpid)){
    echo "Błąd przy próbie zakończenie połączenia ...\n";
  }
  else{
    echo "Połaczenie zostało zakończone ...\n";
  }
?>
